{ mkDerivation, QuickCheck, array, base, containers, criterion
, exceptions, lib, linear, mtl, template-haskell, unliftio-core
, vector
}:
mkDerivation {
  pname = "apecs";
  version = "0.9.6";
  sha256 = "cdfc81fce9a167eea105dc03d10646df5150eb5b659092d8841599c90660f7b6";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    array base containers exceptions mtl template-haskell unliftio-core
    vector
  ];
  testHaskellDepends = [ base containers linear QuickCheck vector ];
  benchmarkHaskellDepends = [ base criterion linear ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/jonascarpay/apecs#readme";
  description = "Fast Entity-Component-System library for game programming";
  license = lib.licenses.bsd3;
  broken = false;
}